Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Class JIInput

`java.lang.Object
oracle.jbo.expr.JIInput`

Direct Known Subclasses:
  JIExpr

public class JIInput
extends java.lang.Object

Field Summary
`protected char` | `lexCharBegin`
`protected char` | `lexCharEnd`
`protected char` | `lexStringBegin`
`protected char` | `lexStringEnd`
`static int` | `WORD_POS_STACK_DEPTH`
`static int` | `WORD_TYP_BOOLEAN`
`static int` | `WORD_TYP_CHAR`
`static int` | `WORD_TYP_IDENT`
`static int` | `WORD_TYP_INTEGER`
`static int` | `WORD_TYP_NONE`
`static int` | `WORD_TYP_NULL`
`static int` | `WORD_TYP_STRING`
`static int` | `WORD_TYP_UNKNOWN`

Constructor Summary
`JIInput()`
`JIInput(java.io.LineNumberReader ins)`

Method Summary
`JIToken` | `findNextWord(boolean spaceOnly)`
`JIToken` | `findNextWord(boolean spaceOnly, boolean pushStack)`
`java.io.LineNumberReader` | `getInStream()`
`java.lang.String` | `getLine()`
`int` | `getPos()`
`java.lang.String` | `getTheRestOfLine()`
`java.lang.String` | `getTheRestOfLineTrim()`
`protected void` | `initLexChars()`
`static boolean` | `isAlpha(int ch)`
`static boolean` | `isNumber(int ch)`
`void` | `pushWord()`
`boolean` | `readLine()`
`void` | `rewindWord()`
`void` | `setContinueRead(boolean b)`
`void` | `setIdentToUpper(boolean b)`
`void` | `setInStream(java.io.LineNumberReader ins)`
`void` | `setLine(java.lang.String s)`
`void` | `setPos(int p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORD_POS_STACK_DEPTH

    public static final int WORD_POS_STACK_DEPTH

  See Also:
    Constant Field Values

### WORD_TYP_UNKNOWN

    public static final int WORD_TYP_UNKNOWN

  See Also:
    Constant Field Values

### WORD_TYP_NONE

    public static final int WORD_TYP_NONE

  See Also:
    Constant Field Values

### WORD_TYP_IDENT

    public static final int WORD_TYP_IDENT

  See Also:
    Constant Field Values

### WORD_TYP_INTEGER

    public static final int WORD_TYP_INTEGER

  See Also:
    Constant Field Values

### WORD_TYP_STRING

    public static final int WORD_TYP_STRING

  See Also:
    Constant Field Values

### WORD_TYP_BOOLEAN

    public static final int WORD_TYP_BOOLEAN

  See Also:
    Constant Field Values

### WORD_TYP_CHAR

    public static final int WORD_TYP_CHAR

  See Also:
    Constant Field Values

### WORD_TYP_NULL

    public static final int WORD_TYP_NULL

  See Also:
    Constant Field Values

### lexStringBegin

    protected char lexStringBegin

### lexStringEnd

    protected char lexStringEnd

### lexCharBegin

    protected char lexCharBegin

### lexCharEnd

    protected char lexCharEnd

Constructor Detail

### JIInput

    public JIInput()

### JIInput

    public JIInput(java.io.LineNumberReader ins)

Method Detail

### initLexChars

    protected void initLexChars()

### setContinueRead

    public void setContinueRead(boolean b)

### setIdentToUpper

    public void setIdentToUpper(boolean b)

### getInStream

    public java.io.LineNumberReader getInStream()

### setInStream

    public void setInStream(java.io.LineNumberReader ins)

### getLine

    public java.lang.String getLine()

### setLine

    public void setLine(java.lang.String s)

### getPos

    public int getPos()

### setPos

    public void setPos(int p)

### readLine

    public boolean readLine()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTheRestOfLine

    public java.lang.String getTheRestOfLine()

### getTheRestOfLineTrim

    public java.lang.String getTheRestOfLineTrim()

### pushWord

    public void pushWord()

### rewindWord

    public void rewindWord()

### isAlpha

    public static boolean isAlpha(int ch)

### isNumber

    public static boolean isNumber(int ch)

### findNextWord

    public JIToken findNextWord(boolean spaceOnly,
                                boolean pushStack)

### findNextWord

    public JIToken findNextWord(boolean spaceOnly)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.